Page MenuHomePhabricator

prometheus-pdns-rec-exporter invalid metric output
Closed, ResolvedPublic

Description

Noticed this while working on T187987, Prometheus 2 is apparently more strict on the plaintext format and it emits the following messages when scraping e.g. http://dns2001:9199/metrics:

Feb 15 16:33:52 prometheus2003 prometheus@ops[20870]: level=warn ts=2019-02-15T16:33:52.829164778Z caller=scrape.go:835 component="scrape manager" scrape_pool=pdnsrec target=http://dns2001:9199/metrics msg="append failed" err="invalid metric type \" gauge\""

I believe the cause might be lack of help text for some of the metrics, this is what the prometheus "linter" for metrics reports:

root@prometheus2003:~# curl -s http://dns2001:9199/metrics | promtool check metrics
pdns_rec_fd_usage no help text
pdns_rec_real_memory_usage no help text
pdns_rec_udp_in_errors no help text
pdns_rec_udp_noport_errors no help text
pdns_rec_udp_recvbuf_errors no help text
pdns_rec_udp_sndbuf_errors no help text

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2019, 4:36 PM

Change 491768 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/debs/prometheus-pdns-rec-exporter@master] Add setup.py and tox.ini

https://gerrit.wikimedia.org/r/491768

Change 491771 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/debs/prometheus-pdns-rec-exporter@master] Add missing metrics help text

https://gerrit.wikimedia.org/r/491771

fgiunchedi moved this task from Backlog to Doing on the User-fgiunchedi board.Feb 20 2019, 3:39 PM

Change 491771 merged by Filippo Giunchedi:
[operations/debs/prometheus-pdns-rec-exporter@master] Add missing metrics help text

https://gerrit.wikimedia.org/r/491771

Change 491768 merged by Filippo Giunchedi:
[operations/debs/prometheus-pdns-rec-exporter@master] Add setup.py and tox.ini

https://gerrit.wikimedia.org/r/491768

Change 491923 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/debs/prometheus-pdns-rec-exporter@master] Fix invalid metric name

https://gerrit.wikimedia.org/r/491923

Change 491923 merged by Filippo Giunchedi:
[operations/debs/prometheus-pdns-rec-exporter@master] Fix invalid metric name

https://gerrit.wikimedia.org/r/491923

fgiunchedi closed this task as Resolved.Feb 21 2019, 10:33 AM
fgiunchedi claimed this task.

Metric name fixed and pdns-rec-exporter 0.6 rolled out to the fleet